---
apiVersion: v1
kind: List
items:
- apiVersion: capabilities.3scale.net/v1beta1
  kind: Backend
  metadata:
    name: api
  spec:
    name: api
    systemName: api
    privateBaseURL: https://echo-api.3scale.net:443
    description: ""
    mappingRules: []
    metrics:
      hits:
        friendlyName: Hits
        unit: hit
        description: Number of API hits
    methods: {}
- apiVersion: capabilities.3scale.net/v1beta1
  kind: Product
  metadata:
    name: toolbox-test
  spec:
    name: toolbox-test
    systemName: toolbox-test
    description: ""
    mappingRules:
    - httpMethod: GET
      pattern: "/"
      metricMethodRef: hits
      increment: 1
      last: false
    metrics:
      hits:
        friendlyName: Hits
        unit: hit
        description: Number of API hits
    policies:
    - name: apicast
      version: builtin
      configuration: {}
      enabled: true
    backendUsages:
      api:
        path: "/v1/"
    deployment:
      apicastHosted:
        authentication:
          userkey:
            authUserKey: user_key
            credentials: headers

